package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiPool;

public interface F5BiPoolService {
    public BocloudResult<GridBean<BiPool>> list(Pager pager);

    public BocloudResult create(BiPool contract, Long id);

    public BocloudResult modify(BiPool biPool, Long id);

    public BocloudResult remove(Long id, Long id1);

    public BocloudResult<BiPool> detail(Long id);
}
